FlxpointAPI Help CenterBeta

Update Channel

patchhttps://api.flxpoint.com/channel/{id}

Use this when you want to update channel data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint allows you to update metadata associated to a Channel.

To use this endpoint, simply specify the parameter you'd like to patch. Only the parameters the are passed will be patched.

Request

Query parameters
  • namequerystring

    Channel Name

  • descriptionquerystring

    Channel Description

  • pricingWorkflowEventIdqueryinteger

    The ID of the Listing Price & Quantity Workflow for the Channel

  • autoGeneratePoOnImportqueryboolean

    A setting that enables auto-generation of PO/FRs upon Order Import from the Channel

  • listingStatusWorkflowEventIdqueryinteger

    The ID of the Listing Status Workflow for the Channel

  • primaryqueryboolean

    Mark this channel as the primary channel. Will set any existing channels marked as primary to false.

Example request

patch/channel/{id}
curl -X PATCH "https://api.flxpoint.com/channel/{id}" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
idinteger
Channel ID
namestring
Channel Name
descriptionstring
Channel Description
insertedAtstring (date-time)
updatedAtstring (date-time)
channelTypestring
A string handle indicating the type of the Channel. Options are Sales Channel ("Custom") or Reseller (formerly known as "Dealer").
allowedflxpoint.api.customflxpoint.api.dealers
accountIdinteger
primaryboolean
channelInvoiceReceiptOptionIdinteger
invoiceReceiptAccountCustomAlertIdinteger
paymentCollectionboolean
default true
channelInvoiceDefaultStatusPaymentStatus
allowedNot AuthorizedAuthorizedPaidDeferredRefundedCreditedAwaiting ClearanceDeclinedRefund PendingRefund Failed
channelInvoiceCcstring
pricingWorkflowEventIdinteger
The ID of the Listing Price & Quantity Workflow for the Channel.
archivedAtstring (date-time)
autoGeneratePoOnImportboolean
A setting that enables auto-generation of PO/FRs upon Order Import from the Channel.
default false
listingStatusWorkflowEventIdinteger
The ID of the Listing Status Workflow for the Channel.
allowBackorderboolean
allowDealersboolean
listingBuilderMappingTemplateIdinteger
inStoreOrderboolean
integrationsarray[any]
listPriceProtectionboolean
Indicates whether price protection is applied to the listing. When true, the listing will not be eligible to sync to channels because either the price is below or equal to cost, the cost is missing, or the listing has no linked inventories.
Example response
{
  "id": 0,
  "name": "string",
  "description": "string",
  "insertedAt": "2026-04-20T00:00:00Z",
  "updatedAt": "2026-04-20T00:00:00Z",
  "channelType": "flxpoint.api.custom",
  "accountId": 0,
  "primary": true,
  "channelInvoiceReceiptOptionId": 0,
  "invoiceReceiptAccountCustomAlertId": 0,
  "paymentCollection": true,
  "channelInvoiceDefaultStatus": "Not Authorized",
  "channelInvoiceCc": "string",
  "pricingWorkflowEventId": 0,
  "archivedAt": "2026-04-20T00:00:00Z",
  "autoGeneratePoOnImport": true,
  "listingStatusWorkflowEventId": 0,
  "allowBackorder": true,
  "allowDealers": true,
  "listingBuilderMappingTemplateId": 0,
  "inStoreOrder": true,
  "integrations": [
    null
  ],
  "listPriceProtection": true
}
400Bad Request

No schema documented for this status.

401Unauthorized

No schema documented for this status.

403Forbidden

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "patch": {
    "summary": "Update Channel",
    "description": "This endpoint allows you to update metadata associated to a Channel.\n\nTo use this endpoint, simply specify the parameter you'd like to patch. Only the parameters the are passed will be patched.",
    "parameters": [
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "name",
        "description": "Channel Name"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "description",
        "description": "Channel Description"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "pricingWorkflowEventId",
        "description": "The ID of the Listing Price & Quantity Workflow for the Channel"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "autoGeneratePoOnImport",
        "description": "A setting that enables auto-generation of PO/FRs upon Order Import from the Channel"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "listingStatusWorkflowEventId",
        "description": "The ID of the Listing Status Workflow for the Channel"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "primary",
        "description": "Mark this channel as the primary channel. Will set any existing channels marked as primary to false."
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Channel"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      },
      "401": {
        "description": "Unauthorized"
      },
      "403": {
        "description": "Forbidden"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight